# fedora-minimal:40

```yaml
container:
  image: code.lightstands.xyz/standcoded/fedora-minimal:40
```

## Included Softwares

### General

- coreutils
- bash
- aria2
- jq
- yq
- zstd
- brotil
- sqlite

### Version Control

- git
- git-lfs
- git-ftp

### Container Management

- podman
- buildah
- fuse-overlayfs

### NodeJS

- nodejs
- nodejs-npm

### Python

- python3
- python3-devel
- python3-pip
- pipx

### Perl

- perl
- perl-CPAN

### Ruby

- ruby
- rubygems

### C

- clang
- gcc

## Additional Configuration

### Building Container Images

This images configured buildah to be correctly run under a container. You can use [The workflow of this project](../.forgejo/workflows/build-fedora-40.yml) as an example.
